Package htsjdk.samtools

# Class DefaultSAMRecordFactory

java.lang.Object
htsjdk.samtools.DefaultSAMRecordFactory

All Implemented Interfaces:
  `SAMRecordFactory`

public class DefaultSAMRecordFactory extends Object implements SAMRecordFactory
Default factory for creating SAM and BAM records used by the `SamReader` classes.

## Constructor Summary

Constructors
Constructor
Description
`DefaultSAMRecordFactory()`

## Method Summary

Modifier and Type
Method
Description
`BAMRecord`
`createBAMRecord(SAMFileHeader header, int referenceSequenceIndex, int alignmentStart, short readNameLength, short mappingQuality, int indexingBin, int cigarLen, int flags, int readLen, int mateReferenceSequenceIndex, int mateAlignmentStart, int insertSize, byte[] variableLengthBlock)`
Create a new BAM Record.
`SAMRecord`
`createSAMRecord(SAMFileHeader header)`
Create a new SAMRecord to be filled in
`static DefaultSAMRecordFactory`
`getInstance()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultSAMRecordFactory

public DefaultSAMRecordFactory()

## Method Details

### getInstance

public static DefaultSAMRecordFactory getInstance()

### createSAMRecord

public SAMRecord createSAMRecord(SAMFileHeader header)
Create a new SAMRecord to be filled in

Specified by:
  `createSAMRecord` in interface `SAMRecordFactory`

### createBAMRecord

public BAMRecord createBAMRecord(SAMFileHeader header, int referenceSequenceIndex, int alignmentStart, short readNameLength, short mappingQuality, int indexingBin, int cigarLen, int flags, int readLen, int mateReferenceSequenceIndex, int mateAlignmentStart, int insertSize, byte[] variableLengthBlock)
Create a new BAM Record. If the reference sequence index or mate reference sequence index are any value other than NO_ALIGNMENT_REFERENCE_INDEX, the values must be resolvable against the sequence dictionary in the header argument.

Specified by:
  `createBAMRecord` in interface `SAMRecordFactory`